Name:           cdo
Version:        1.0.8
Release:        2%{?dist}
Summary:        A program for manipulating GRIB/NetCDF/SERVICE/EXTRA files
Group:          Applications/Engineering
License:        GPL
URL:            http://www.mpimet.mpg.de/~cdo/
Source0:        http://www.mpimet.mpg.de/~cdo/cdo-%{version}.tar.gz
Source1:        http://www.mpimet.mpg.de/~cdo/cdo.pdf
Source2:        http://www.mpimet.mpg.de/~cdo/cdo_refcard.pdf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  netcdf-devel

%description
CDO (Climate Data Operators) is a collection of command line Operators
to manipulate and analyse Climate Data files.  Supported file formats
are GRIB, netCDF, SERVICE, and EXTRA.  More than 200 operators are
available.

%prep
%setup -q -n %{name}-%{version}

%build
export CPPFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/netcdf-3"
# export LDFLAGS=-L%{_libdir}/netcdf-3
%configure --with-netcdf --with-grib
make %{?_smp_mflags}
unset CPPFLAGS LDFLAGS
cp %{SOURCE1} cdo.pdf
cp %{SOURCE2} cdo_refcard.pdf

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc README OPERATORS cdo.pdf cdo_refcard.pdf
%{_bindir}/*


%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.8-2
- Autorebuild for GCC 4.3

* Sat Aug 26 2007 Ed Hill <ed@eh3.com> - 1.0.8-1
- new upstream 1.0.8

* Sat Sep  2 2006 Ed Hill <ed@eh3.com> - 1.0.1-2
- fix %{_libdir} mistake

* Sat Sep  2 2006 Ed Hill <ed@eh3.com> - 1.0.1-1
- new upstream 1.0.1

* Thu Feb 16 2006 Ed Hill <ed@eh3.com> - 0.9.6-5
- rebuild for new gcc

* Fri Jun 17 2005 Ed Hill <ed@eh3.com> - 0.9.6-4
- rebuild

* Mon May  9 2005 Ed Hill <ed@eh3.com> - 0.9.6-3
- add dist to release

* Sat Apr 23 2005 Ed Hill <ed@eh3.com> - 0.9.6-2
- fix CPPFLAGS per Tom Callaway's review

* Thu Apr 21 2005 Ed Hill <ed@eh3.com> - 0.9.6-1
- initial version

